import React from 'react';
import { render, fireEvent } from '@testing-library/react';
import Mask from '../index';
describe('Mask', function () {
  it('renders correctly', function () {
    var wrapper = render( /*#__PURE__*/React.createElement(Mask, {
      mountContainer: false,
      visible: true,
      onClick: function onClick() {}
    }));
    expect(wrapper.asFragment()).toMatchSnapshot();
  });
  it('color is transparent', function () {
    var wrapper = render( /*#__PURE__*/React.createElement(Mask, {
      mountContainer: false,
      color: "transparent",
      visible: true,
      onClick: function onClick() {}
    }));
    expect(wrapper.asFragment()).toMatchSnapshot();
  });
  it('onClick', function () {
    var onClick = jest.fn();
    var wrapper = render( /*#__PURE__*/React.createElement(Mask, {
      mountContainer: false,
      onClick: onClick,
      visible: true
    }, "content"));
    fireEvent.click(wrapper.getByText('content'));
    expect(onClick).toBeCalled();
  });
});